import version from './version';

class RWRAlt {
  constructor(alt) {
    this.version = version;
    this.alt = alt;
  }

  initializeStore(storeName, data) {
    const store = this.alt.stores[storeName];
    Object.assign(store.state, data);
    store.emitChange();
  }

  get integrationWrapper() {
    return {
      mount: function _mount(_node, payload) {
        this.initializeStore(payload.storeName, payload.data);
      }.bind(this),
    };
  }
}

export default RWRAlt;
